package com.gic.haoban.manage.api.dto.qdto.chat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.gic.commons.web.qo.PageQo;

public class ChatDataSearchQDTO extends PageQo implements Serializable {

    private static final long serialVersionUID = -2777117993521926985L;

    private String wxEnterpriseId;
    private Date startDate;
    private Date endDate;
    private List<String> staffIdList;

    private String sortType = "desc" ;
    private String sortColumn = "chatTotal" ;

    public String getSortType() {
        return sortType;
    }

    public void setSortType(String sortType) {
        this.sortType = sortType;
    }

    public String getSortColumn() {
        return sortColumn;
    }

    public void setSortColumn(String sortColumn) {
        this.sortColumn = sortColumn;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public Date getStartDate() {
        return startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public List<String> getStaffIdList() {
        return staffIdList;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public void setStaffIdList(List<String> staffIdList) {
        this.staffIdList = staffIdList;
    }
}
